org.eclipse.rdf4j.rio.rdfxml

## Class RDFXMLWriterFactory

- java.lang.Object
- - org.eclipse.rdf4j.rio.rdfxml.RDFXMLWriterFactory

- All Implemented Interfaces:
    RDFWriterFactory

      public class RDFXMLWriterFactory
      extends Object
      implements RDFWriterFactory

  An `RDFWriterFactory` for RDF/XML writers.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDFXMLWriterFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RDFFormat` | `getRDFFormat()` Returns `RDFFormat.RDFXML`.
    `RDFWriter` | `getWriter(OutputStream out)` Returns a new instance of `RDFXMLWriter`.
    `RDFWriter` | `getWriter(OutputStream out, String baseURI)` Returns a new instance of `RDFXMLWriter`.
    `RDFWriter` | `getWriter(Writer writer)` Returns a new instance of `RDFXMLWriter`.
    `RDFWriter` | `getWriter(Writer writer, String baseURI)` Returns a new instance of `RDFXMLWriter`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFXMLWriterFactory

          public RDFXMLWriterFactory()

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Returns `RDFFormat.RDFXML`.
      Specified by:
        `getRDFFormat` in interface `RDFWriterFactory`

    - #### getWriter

          public RDFWriter getWriter(OutputStream out)

      Returns a new instance of `RDFXMLWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter(OutputStream out,
                                     String baseURI)
                              throws URISyntaxException

      Returns a new instance of `RDFXMLWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.
      Throws:
        `URISyntaxException`

    - #### getWriter

          public RDFWriter getWriter(Writer writer)

      Returns a new instance of `RDFXMLWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter(Writer writer,
                                     String baseURI)
                              throws URISyntaxException

      Returns a new instance of `RDFXMLWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.
      Throws:
        `URISyntaxException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.